<?php

class formParsingFilter extends cmsForm {

    public function init() {
        return array(
            array(
                'type' => 'fieldset',
                'childs' => array(
				
					new fieldList('parent', array(
						'title' => 'Источник',
						'default' => 'all',
						'generator' => function(){

                            $sources = cmsCore::getModel('parsing')->selectOnly('i.id, i.name')->getSources();
							if ($sources){
                                foreach($sources as $source){
                                    $sources[$source['id']] = $source['name'];
                                }
                            }

                            return array('all' => 'Для всех сайтов') + $sources;

                        }
					)),

                    new fieldString('title', array(
                        'title' => LANG_TITLE,
                        'rules' => array(
                            array('required'),
                            array('min_length', 3),
                            array('max_length', 20)
                        )
                    )),					

                )
            ),

        );
    }
}
