<?php

class formParsingOptions extends cmsForm {

    public function init() {

        return array(
		
			array(
                'type' => 'fieldset',
                'title' => LANG_OPTIONS,
                'childs' => array(
					new fieldCheckbox('add_source', array(
						'title' => 'Добавить ссылку на источник',
					)),
					new fieldCheckbox('open_new_window', array(
						'title' => 'Открыть страницу "Ручное добавление" в новом окне',
					)),
                )
            ),
			array(
                'type' => 'fieldset',
                'title' => LANG_CP_SCHEDULER,
                'childs' => array(
					new fieldList('cron', array(
                        'title' => 'Выберите источник для парсинга по планировщику',
                        'is_multiple' => true,
						'multiple_select_deselct' => false,
                        'generator' => function(){
                            $sources = cmsCore::getModel('parsing')->getSources();
                            return array_collection_to_list($sources, 'id', 'name');
                        }
                    )),
                )
            ),
			array(
                'type' => 'fieldset',
                'title' => 'Импорт',
                'childs' => array(
					new fieldString('secret_key', array(
                        'title' => 'Секретный ключ для импорта',
                        'default' => '123',
                        'hint' => 'Страница импорта будет доступна по ключу, например: http://ваш-сайт.ru/parsing/import/123'
                    )),
                )
            )

        );

    }

}
